"""
Analysis Module
Contains scripts for analyzing results and generating visualizations.
Note: Metric calculation functions have been moved to the execution module.
"""

from .shared_analysis import analyze_task_variations, analyze_multiple_metrics
from .analyze_musique_results import (
    analyze_musique_variations, 
    analyze_musique_exact_match, 
    analyze_musique_word_f1, 
    analyze_musique_text_generation_metrics
)
from .shared_analysis import (
    analyze_qa_variations,
    analyze_qa_multiple_metrics,
    analyze_qa_word_f1
)

__all__ = [
    'analyze_task_variations',
    'analyze_multiple_metrics',
    'analyze_musique_variations',
    'analyze_musique_exact_match',
    'analyze_musique_word_f1',
    'analyze_musique_text_generation_metrics',
    'analyze_qa_variations',
    'analyze_qa_multiple_metrics',
    'analyze_qa_word_f1'
] 